<form method="post">
	<label for="action"><?= _('Action') ?></label>
	<select name="action" id="action">
		<option value="add"><?= _('Add') ?></option>
		<option value="delete"><?= _('Delete') ?></option>
	</select>
	<br>
	<label for="zone"><?= _('Domain') ?></label>
	<br>
	<select required="" name="zone" id="zone">
		<option value="" disabled="" selected="">—</option>
<?php
foreach (regListUserDomains() as $domain)
	echo '		<option value="' . $domain . '">' . $domain . '</option>' . LF;
?>
	</select>
	<br>
	<label for="keytag"><?= _('Key tag') ?></label>
	<br>
	<input required="" id="keytag" placeholder="32768" min="1" max="65535" name="keytag" type="number"><span></span>
	<br>
	<label for="algo"><?= _('Algorithm') ?></label>
	<br>
	<select required="" name="algo" id="algo">
		<!-- RFC 8624: Algorithm Implementation Requirements and Usage Guidance for DNSSEC > Algorithm Selection > DNSKEY Algorithms -->
		<!-- https://tools.ietf.org/html/rfc8624.html#section-3.1 -->
		<option value="1" disabled="">1 (RSAMD5)</option>
		<option value="3" disabled="">3 (DSA)</option>
		<option value="5" disabled="">5 (RSASHA1)</option>
		<option value="6" disabled="">6 (DSA-NSEC3-SHA1)</option>
		<option value="7" disabled="">7 (RSASHA1-NSEC3-SHA1)</option>
		<option value="8">8 (RSASHA256)</option>
		<option value="10" disabled="">10 (RSASHA512)</option>
		<option value="12" disabled="">12 (ECC-GOST)</option>
		<option value="13">13 (ECDSAP256SHA256)</option>
		<option value="14">14 (ECDSAP384SHA384)</option>
		<option value="15" selected="">15 (ED25519)</option>
		<option value="16">16 (ED448)</option>
	</select>
	<br>
	<label for="dt"><?= _('Digest type') ?></label>
	<br>
	<select required="" name="dt" id="dt">
		<!-- RFC 8624: Algorithm Implementation Requirements and Usage Guidance for DNSSEC > Algorithm Selection > DS and CDS Algorithms -->
		<!-- https://tools.ietf.org/html/rfc8624.html#section-3.3 -->
		<option value="1" disabled="">1 (SHA-1)</option>
		<option value="2" selected="">2 (SHA-256)</option>
		<option value="3" disabled="">3 (GOST R 34.11-94)</option>
		<option value="4">4 (SHA-384)</option>
	</select>
	<br>
	<label for="key"><?= _('Key') ?></label>
	<br>
	<input id="key" required="" name="key" type="text" placeholder="018F25E4A022463478C9E30136EC53771A1704A0F0B3CE5B883AC9C8A6A55D16B638B4DE70662ACA5295D3669E7CADD9">
	<br>
	<input type="submit" value="<?= _('Apply') ?>">
</form>
